#include<cmath>
#include <bits/stdc++.h>
using namespace std;

long long maximum(long long br) {
        long long trenutno=br, baza=1, lb=1, h=1, l=1, hb=1, maxCifra=0, maxBaza=1;
        while(trenutno > 0)
        {
            long long cur=trenutno%10;
            if(cur<maxCifra)
            {
                l=maxCifra;
                h=cur;
                hb=baza;
                lb=maxBaza;
            }
            if(cur>maxCifra)
            {
            	maxBaza=baza;
                maxCifra=cur;
            }
            trenutno/=10;
			baza*=10;
        }
        return br+(l-h)*(hb-lb);
}

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	long long n,maxindex=0,indzamena=0,maxbr=0,j=0,broj=0,poslefje;
	cin>>n;
	long long niz[n];
	for(long i=0;i<n;i++){
	cin>>niz[i];
	broj=broj*10+niz[i];
}
	if(n==2){
	swap(niz[0],niz[1]);
	for(long i=0;i<n;i++)cout<<niz[i]<<" ";
	}
	else{
		poslefje=maximum(broj);
		for(long i=n-1;i>=0;i--){
		niz[i]=poslefje%10;
		poslefje/=10;
		}
		for(long i=0;i<n;i++)cout<<niz[i]<<" ";
	}	
}